# class datatype

Describes an available datatype for the database. More...

Full name | `toExtract::datatype`
Definition | `#include <toextract.h>`
List of all Methods

Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- datatype (const QString &name,int maxLength=-1,int maxPrecision=-1)
- bool hasLength ()
- bool hasPrecision ()
- int maxLength ()
- int maxPrecision ()
- const QString & name ()
- bool operator < (const datatype &dat) const
- bool operator == (const datatype &dat) const

## Detailed Description

Describes an available datatype for the database.

datatype (const QString &name,int maxLength=-1,int maxPrecision=-1)

### datatype

Create a new datatype description.

Parameters:

name | Name of datatype.
maxLength | Maximum length of parameter if length is needed.
maxPrecision | Maximum precision of parameter if precision is supported.

bool hasLength ()

### hasLength

Returns true if type has length specification.

bool hasPrecision ()

### hasPrecision

Returns true if type has precision specification.

int maxLength ()

### maxLength

Get the maximum length value.

int maxPrecision ()

### maxPrecision

Get the maximum precision of the datatype.

const QString & name ()

### name

Get the name of the datatype.

bool operator < (const datatype &dat)

### operator <

[const]

Implemented so that you can easily sort a list of them. Just compares the names.

bool operator == (const datatype &dat)

### operator ==

[const]

Implemented so that you can easily sort a list of them. Just compares the names.

Generated by: nneul on skyhawk on Wed Feb 23 19:49:58 2005, using kdoc 2.0a54.